from django.apps import AppConfig
from django.db.models.signals import post_save


from . import signals

class CoreConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'core'

    def ready(self) -> None:
        from oauth2_provider.models import get_access_token_model
        TokenModel = get_access_token_model()
        post_save.connect(signals.set_user_on_application_token, sender=TokenModel)
